Bug 1125220 - Rules Engine or Rule Engine?
Summary: Rules Engine or Rule Engine?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Internal Tools
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 4.4
Assignee: Simon Green
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 11:01 UTC by Shirley Zhou
Modified: 2018-12-09 06:29 UTC (History)
4 users (show)

Fixed In Version: 4.4.5024
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 00:28:16 UTC


Attachments (Terms of Use)

Comment 1 Shirley Zhou 2014-07-31 11:02:52 UTC
Use this bug to track the other typo:

I got following message when multiple kill switch exist, no space between "set" and "the number 2". 
"The Red Hat Bugzilla Rule Engine 'kill switch' is currently set2 times"

Comment 2 Jason McDonald 2014-08-01 02:16:26 UTC
I think it should probably be plural form (i.e. "Rules Engine") as it will have more than one rule.

Comment 3 Simon Green 2014-08-05 00:08:36 UTC
The only place I didn't change was the Changelog.

Comment 4 Shirley Zhou 2014-08-08 08:13:39 UTC
To keep consitent, we better also change the following places which also using "Rule Engine"

1. The inline history still show:
Rule Engine Rule: stress
and in the history of the bug, also show the "Rule Engine Rule"


2. Some docs:
/docs/en/html/rule-engine.html:  The Rule Engine page contains a list of rules in tables organized by Rule Group.  The details
./docs/en/html/api/extensions/RuleEngine/lib/RuleState.html:<p>Bugzilla::Extension::RuleEngine::RuleState represents an entry in the Rule Engine state table. If there are any rows where when_enabled is not set, the Rules Engine will not be run. It is an implementation of <a href="../../../Bugzilla/Object.html" class="podlinkpod"
./docs/en/html/Bugzilla-Guide.html:  The Rule Engine page contains a list of rules in tables organized by Rule Group.  The details
./docs/en/txt/Bugzilla-Guide.txt:   The Rule Engine page contains a list of rules in tables organized by
./docs/en/txt/Bugzilla-Guide.txt:          the Bugzilla Rule Engine to automate project workflow.
./docs/en/txt/Bugzilla-Guide.txt:          Rule Engine. This is done by adding them to the rule_engine

Comment 5 Jason McDonald 2014-08-08 11:01:32 UTC
(In reply to Shirley Zhou from comment #4)
> 1. The inline history still show:
> Rule Engine Rule: stress
> and in the history of the bug, also show the "Rule Engine Rule"

Note that this string was set in the database when the change described in the history was made.  Changes made by the Rules Engine before you upgraded to version 4.4.5024 will therefore keep the old string.  To test the fix you need to look at a change made by the Rules Engine after you upgraded to 4.4.5024.

> 2. Some docs:
> /docs/en/html/rule-engine.html:  The Rule Engine page contains a list of
> rules in tables organized by Rule Group.  The details
> ./docs/en/html/api/extensions/RuleEngine/lib/RuleState.html:<p>Bugzilla::
> Extension::RuleEngine::RuleState represents an entry in the Rule Engine
> state table. If there are any rows where when_enabled is not set, the Rules
> Engine will not be run. It is an implementation of <a
> href="../../../Bugzilla/Object.html" class="podlinkpod"
> ./docs/en/html/Bugzilla-Guide.html:  The Rule Engine page contains a list of
> rules in tables organized by Rule Group.  The details
> ./docs/en/txt/Bugzilla-Guide.txt:   The Rule Engine page contains a list of
> rules in tables organized by
> ./docs/en/txt/Bugzilla-Guide.txt:          the Bugzilla Rule Engine to
> automate project workflow.
> ./docs/en/txt/Bugzilla-Guide.txt:          Rule Engine. This is done by
> adding them to the rule_engine

I can only find one instance of "Rule Engine" remaining in the docs. It was introduced by me in parallel with Simon's change and fixed by the attached patch.  Did you install the latest rh-bugzilla-docs RPM?

Comment 6 Simon Green 2014-08-08 13:41:48 UTC
(In reply to Jason McDonald from comment #5)
> (In reply to Shirley Zhou from comment #4)
> > 1. The inline history still show:
> > Rule Engine Rule: stress
> > and in the history of the bug, also show the "Rule Engine Rule"
> 
> Note that this string was set in the database when the change described in
> the history was made.  Changes made by the Rules Engine before you upgraded
> to version 4.4.5024 will therefore keep the old string.  To test the fix you
> need to look at a change made by the Rules Engine after you upgraded to
> 4.4.5024.

That's not true. We need to update the field name in the database, and the history will magically be fixed on all entries thanks to the Red Hat Bugzilla fairies :)

I'll do a patch for this on Monday.

Comment 8 Jason McDonald 2014-08-11 04:21:28 UTC
I see the problem now.  There were some instances where "Rule Engine" was split by a line break in the sources and thus didn't get caught by the original find and replace.

Comment 9 Shirley Zhou 2014-08-12 02:07:28 UTC
"Rule Engine" disappears, moving this bug to verified

Comment 10 Simon Green 2014-08-27 00:28:16 UTC
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.